TagLib::ASF::File Class Reference

An implementation of TagLib::File with ASF specific methods. More...

`#include <asffile.h>`

Inheritance diagram for TagLib::ASF::File:
[legend]
Collaboration diagram for TagLib::ASF::File:
[legend]

## Public Member Functions

| File (FileName file, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
| File (IOStream *stream, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
| ~File () override
| File (const File &)=delete
File & | operator= (const File &)=delete
Tag * | tag () const override
PropertyMap | properties () const override
void | removeUnsupportedProperties (const StringList &properties) override
PropertyMap | setProperties (const PropertyMap &) override
Properties * | audioProperties () const override
bool | save () override
Public Member Functions inherited from TagLib::File
| File (const File &)=delete
File & | operator= (const File &)=delete
FileName | name () const
virtual StringList | complexPropertyKeys () const
virtual List< VariantMap > | complexProperties (const String &key) const
virtual bool | setComplexProperties (const String &key, const List< VariantMap > &value)
ByteVector | readBlock (size_t length)
void | writeBlock (const ByteVector &data)
offset_t | find (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
offset_t | rfind (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, offset_t start=0, size_t replace=0)
void | removeBlock (offset_t start=0, size_t length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (offset_t offset, Position p=Beginning)
void | clear ()
offset_t | tell () const
offset_t | length ()

## Static Public Member Functions

static bool | isSupported (IOStream *stream)

## Additional Inherited Members

Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Protected Member Functions inherited from TagLib::File
| File (FileName fileName)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (offset_t length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

An implementation of TagLib::File with ASF specific methods.

This implements and provides an interface for ASF files to the TagLib::Tag and TagLib::AudioProperties interfaces by way of implementing the abstract TagLib::File API as well as providing some additional information specific to ASF files.

## Constructor & Destructor Documentation

## File() [1/3]

TagLib::ASF::File::File | ( | FileName | file,
|  | bool | readProperties = true,
|  | Properties::ReadStyle | propertiesStyle = Properties::Average )

Constructs an ASF file from file.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.

References TagLib::AudioProperties::Average.

Referenced by File(), and operator=().

## File() [2/3]

TagLib::ASF::File::File | ( | IOStream * | stream,
|  | bool | readProperties = true,
|  | Properties::ReadStyle | propertiesStyle = Properties::Average )

Constructs an ASF file from stream.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.

References TagLib::AudioProperties::Average.

## ~File()

TagLib::ASF::File::~File | ( |  | ) |

override virtual

Destroys this instance of the File.

Reimplemented from TagLib::File.

## File() [3/3]

TagLib::ASF::File::File | ( | const File & |  | ) |

delete

References File().

## Member Function Documentation

## audioProperties()

Properties * TagLib::ASF::File::audioProperties | ( |  | ) | const

override virtual

Returns the ASF audio properties for this file.

Implements TagLib::File.

## isSupported()

bool TagLib::ASF::File::isSupported | ( | IOStream * | stream | ) |

static

Returns whether or not the given stream can be opened as an ASF file.

Note
  This method is designed to do a quick check. The result may not necessarily be correct.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## operator=()

File & TagLib::ASF::File::operator= | ( | const File & |  | ) |

delete

References File().

## properties()

PropertyMap TagLib::ASF::File::properties | ( |  | ) | const

override virtual

Implements the unified property interface – export function.

Reimplemented from TagLib::File.

Referenced by removeUnsupportedProperties().

## removeUnsupportedProperties()

void TagLib::ASF::File::removeUnsupportedProperties | ( | const StringList & | properties | ) |

override virtual

Removes unsupported properties. Forwards to the actual Tag's removeUnsupportedProperties() function.

Reimplemented from TagLib::File.

References properties().

## save()

bool TagLib::ASF::File::save | ( |  | ) |

override virtual

Save the file.

This returns `true` if the save was successful.

Implements TagLib::File.

## setProperties()

PropertyMap TagLib::ASF::File::setProperties | ( | const PropertyMap & |  | ) |

override virtual

Implements the unified property interface – import function.

Reimplemented from TagLib::File.

## tag()

Tag * TagLib::ASF::File::tag | ( |  | ) | const

override virtual

Returns a pointer to the ASF tag of the file.

ASF::Tag implements the tag interface, so this serves as the reimplementation of TagLib::File::tag().

Note
  The Tag is still owned by the ASF::File and should not be deleted by the user. It will be deleted when the file (object) is destroyed.

Implements TagLib::File.

The documentation for this class was generated from the following file:

- asffile.h